%define name mamory

%define release 1rx3
%define dversion 0.2.25
%define prefix /usr

Name: %{name}
Version: %{dversion}
Release: %{release}
License: GPL
Summary: Roms Management Library 
Group: Emulator
Icon: mamory-logo.xpm
URL: http://mamory.sourceforge.net/
Source: http://prdownloads.sourceforge.net/mamory/%{name}-%{dversion}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{dversion}-buildroot
Prefix: %{prefix}

%description
Mamory is a set of usefull functions for emulators related projects.
It allows easy inclusion of roms management features into these projects through a simple API.
The distributed packages also contain a command line interface that use the potential of the library libmamory.so.
For now, it has only been tested on Linux.

%prep
%setup -q

%build
./configure --prefix $RPM_BUILD_ROOT/usr CC="gcc -fPIC" --libdir %buildroot%{_libdir}
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755,root,root) %{_libdir}/libmamory.so
%attr(755,root,root) %{_libdir}/libmamory.so.0
%attr(755,root,root) %{_libdir}/libmamory.so.0.0.0
%attr(644,root,root) %{_libdir}/libmamory.la
%attr(644,root,root) %{_libdir}/libmamory.a
%attr(644,root,root) %{_includedir}/mamory/chainlst.h
%attr(644,root,root) %{_includedir}/mamory/printrom.h
%attr(644,root,root) %{_includedir}/mamory/readinfo.h
%attr(644,root,root) %{_includedir}/mamory/rommngr.h
%attr(644,root,root) %{_includedir}/mamory/writerom.h
%attr(644,root,root) %{_includedir}/mamory/modeconv.h
%attr(644,root,root) %{_includedir}/mamory/mamory.h
%attr(755,root,root) %{_bindir}/mamory



%changelog
* Mon Mar 17 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.2.25-1rx3
- Update to version 0.2.25.
- Support Mandriva 2008, gcc 4.2.2.

* Mon Feb 12 2007 Arnaud G. Gibert <arnaud@rx3.net> 0.2.23-1rx3
- Update to version 0.2.23.

* Mon Feb 12 2007 Arnaud G. Gibert <arnaud@rx3.net> 0.2.22-1rx3
- Update to version 0.2.22.
- Add --libdir %buildroot%{_libdir} to configure in order to support /usr/lib64 directory.
- Add CC="gcc -fPIC" to configure as a quick compile bug workaround... Need more investigations !
- Support Mandriva 2007, gcc 4.1.1 and Intel QX6600 8^)

* Sat Aug  5 2006 Arnaud G. Gibert <arnaud@rx3.net> 0.2.21-1rx3
- Update to version 0.2.21.

* Mon Aug 22 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.2.20-1rx3
- Update to version 0.2.20.

* Thu Mar 31 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.2.19-1rx3
- Update to version 0.2.19.

* Fri Mar 18 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.2.18-1rx3
- Update to version 0.2.18.

* Sun Jan 23 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.2.17-2rx3
- Patch mamory/admameli.c in order to fix ClrMamePro support.

* Sun Jan 23 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.2.17-1rx3
- Update to version 0.2.17.

* Sun Jan 23 2005 Arnaud G. Gibert <arnaud@rx3.net> 0.2.16-1rx3
- Update to version 0.2.16.
- Now support Mandrake 10.1 and gcc 3.4.1.

* Mon Nov 22 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.2.15-1rx3
- Update to version 0.2.15 (xmame 0.88 support).

* Mon Aug 16 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.2.14-1rx3
- Update to version 0.2.14 (xmame 0.85 support).

* Mon Aug  9 2004 Arnaud G. Gibert <arnaud@rx3.net> 0.2.13-1rx3
- Update to version 0.2.13 (xmame 0.84 support).

* Wed Mar 24 2004 Arnaud G. Gibert <arnaud@rx3.net> - 0.2.12-1rx3
- Initial package.
